using System;
using System.Collections.Generic;
using System.Text;

namespace aopsample
{
    class Program
    {
        static void Main(string[] args)
        {
            MyProxyClass mpc = new MyProxyClass(typeof(SampleClass));
            SampleClass o = mpc.GetTransparentProxy() as SampleClass;
            o.Print("あいうえお");
            int n = o.Add(10, 20);
            Console.WriteLine(n.ToString());
            Console.ReadLine();
        }
    }
}
